## liquidsoap 1.4.1

=== Makefile ===
SUBDIRS= src examples doc gui scripts libs
DISTFILES = CHANGES CHANGES.md COPYING README README.md \
	VERSION bootstrap configure.ac configure config.h.in \
	Makefile Makefile.defs.in Makefile.rules install-sh \
        liquidsoap.opam.in liquidsoap.opam
DISTDIRS = m4

top_srcdir=.
include $(top_srcdir)/Makefile.rules

distclean: pre-distclean
	rm -f Makefile.defs
pre-distclean: clean
	rm -rf config.log config.status config.h autom4te.cache \
	       src/configure.ml scripts/liquidsoap.logrotate \
	       gui/liguidsoap liquidsoap.config $(DISTDIR) $(DISTDIR).tar.bz2

test:
	$(MAKE) -C src/test test
	$(MAKE) -C scripts/tests test

# Build liquidsoap as it will be used for building the doc
doc-local: all

.PHONY: finish-configure

finish-configure:
ifneq ($(CUSTOM_PATH),yes)
	@echo let rundir = \"$(localstatedir)/run/liquidsoap\" >> src/configure.ml
	@echo let logdir = \"$(localstatedir)/log/liquidsoap\" >> src/configure.ml
	@echo let libs_dir = \"$(datadir)/liquidsoap/$(libs_dir_version)/libs\" >> src/configure.ml
	@echo let bin_dir = \"$(datadir)/liquidsoap/$(libs_dir_version)/bin\" >> src/configure.ml
	@echo let \(\) = add_subst \"\<sysrundir\>\" \"$(localstatedir)/run/liquidsoap\" >> src/configure.ml
	@echo let \(\) = add_subst \"\<syslogdir\>\" \"$(localstatedir)/log/liquidsoap\" >> src/configure.ml
else
	@echo let rundir = get_dir \"run\" >> src/configure.ml
	@echo let logdir = get_dir \"logs\" >> src/configure.ml
	@echo let libs_dir = get_dir \"libs\" >> src/configure.ml
	@echo let bin_dir = get_dir \".\" >> src/configure.ml
	@echo let \(\) = add_subst \"\<sysrundir\>\" \".\" >> src/configure.ml
	@echo let \(\) = add_subst \"\<syslogdir\>\" \".\" >> src/configure.ml
endif
	@echo let restart = ref false >> src/configure.ml
	@echo let display_types = ref false >> src/configure.ml
	@echo let exe_ext = \"$(EXEEXT)\" >> src/configure.ml
	@echo "let vendor = \
                  Printf.sprintf \"Liquidsoap/%s (%s; OCaml %s)\" \
                     version Sys.os_type Sys.ocaml_version" >> src/configure.ml
	@echo "let () = Printexc.record_backtrace true" >> src/configure.ml
	@echo "let path = \
          let s = try Sys.getenv \"PATH\" with Not_found -> \"\" in \
          bin_dir :: (Str.split (Str.regexp_string \":\") s)" >> src/configure.ml
	@echo Creating scripts/liquidsoap.logrotate
	@cat scripts/liquidsoap.logrotate.in | \
	  sed -e s:@localstatedir@:$(localstatedir): > scripts/liquidsoap.logrotate

.PHONY: doc-install api-doc-install
doc-install:
	$(MAKE) -C doc doc-install
	$(MAKE) -C examples doc-install
api-doc-install:
	$(V)echo Installing developer documentation...
	$(V)$(INSTALL) -d $(datadir)/doc/$(DISTDIR)/api
	$(V)for doc in $(wildcard autodoc/liquidsoap/*.html autodoc/liquidsoap/*.css) ;\
	do $(INSTALL_DATA) $$doc $(datadir)/doc/$(DISTDIR)/api ; \
	done

# user and group are defined in Makefile.defs, written by configure.

install-local: doc-install
ifeq ($(INSTALL_DAEMON),yes)
	$(INSTALL_DIRECTORY) -o ${user} -g ${group} -m 2775 ${localstatedir}/log/liquidsoap
	$(INSTALL_DIRECTORY) -o ${user} -g ${group} -m 2775 ${localstatedir}/run/liquidsoap
endif
	$(INSTALL_DIRECTORY) $(bindir)
	$(INSTALL_DIRECTORY) $(datadir)/liquidsoap/$(libs_dir_version)/bin
	$(INSTALL_DIRECTORY) $(datadir)/liquidsoap/$(libs_dir_version)/libs
	$(INSTALL_PROGRAM) scripts/extract-replaygain $(datadir)/liquidsoap/$(libs_dir_version)/bin
	find libs | grep '\.liq$$' | while read l; do \
	  $(INSTALL_DATA) $$l $(datadir)/liquidsoap/$(libs_dir_version)/libs ; \
	done
	$(INSTALL_DIRECTORY) ${sysconfdir}/liquidsoap
	$(INSTALL_DATA) examples/radio.liq ${sysconfdir}/liquidsoap/radio.liq.example
	$(INSTALL_DIRECTORY) ${sysconfdir}/logrotate.d
	$(INSTALL_DATA) scripts/liquidsoap.logrotate ${sysconfdir}/logrotate.d/liquidsoap
	$(INSTALL_DIRECTORY) ${bashcompdir}
	$(INSTALL_DATA) scripts/bash-completion ${bashcompdir}/liquidsoap
	$(INSTALL_DIRECTORY) ${emacsdir}
	$(INSTALL_DATA) scripts/liquidsoap-mode.el ${emacsdir}/

=== doc/Makefile ===
.PHONY: md doc upload all-subdirs

SUBDIRS = content
DISTFILES = liquidsoap.1.md.in Makefile template.html snippet.html
DISTDIRS = orig
LIQUIDSOAP = ../src/liquidsoap
PANDOC = pandoc --syntax-definition=liquidsoap.xml --highlight=pygments

MD=$(wildcard content/*.md) content/protocols.md content/reference.md content/settings.md
HTML=$(addprefix html/,$(notdir $(MD:.md=.html)))
PDF=$(addprefix pdf/,$(notdir $(MD:.md=.pdf)))

doc: md man html

md: $(MD)

html: $(HTML)

pdf: $(PDF)

man: liquidsoap.1

liquidsoap.1: liquidsoap.1.md
	@echo "Generating $(@)..."
	@pandoc -s -t man $< -o $@

html/%.html: content/%.md template.html language.dtd
	@echo Converting $(<) to $(@)...
	@test -d html || (mkdir -p html/scripts ; cp -RfL orig/* html)
	@$(PANDOC) $< --metadata pagetitle="`basename '$<'`" --template=template.html -o $@

pdf/%.pdf: content/%.md language.dtd
	@mkdir -p pdf
	@echo Converting $(<) to $(@)...
	@$(PANDOC) $< -o $@

content/protocols.md: $(LIQUIDSOAP)
	$(LIQUIDSOAP) --no-pervasives ../libs/pervasives.liq --list-protocols-md > $@

content/reference.md: $(LIQUIDSOAP)
	$(LIQUIDSOAP) --no-pervasives ../libs/pervasives.liq --list-functions-md > $@

content/settings.md: $(LIQUIDSOAP)
	$(LIQUIDSOAP) --no-pervasives ../libs/pervasives.liq --conf-descr-md > $@

VERSION="`$(LIQUIDSOAP) --version | head -n 1`"

doc-install:
	$(INSTALL)  -d $(datadir)/doc/liquidsoap/html
	if [ -f html/index.html ] ; then \
	  cp -RfL html/* $(datadir)/doc/liquidsoap/html ; \
        fi
	if [ -f liquidsoap.1 ] ; then \
	  $(INSTALL) -d $(mandir)/man1 ; \
	  $(INSTALL_DATA) liquidsoap.1 $(mandir)/man1 ; \
	fi

clean-local:
	rm -rf html pdf content/reference.md content/protocols.md content/settings.md

$(LIQUIDSOAP):
	@echo "Liquidsoap does not seem to be built. You have to build it before."
	@echo "Go to the toplevel and type 'make'"
	@exit 1

language.dtd:
	curl https://raw.githubusercontent.com/jgm/highlighting-kate/master/xml/language.dtd -o $@

top_srcdir=..
include $(top_srcdir)/Makefile.rules

############ SPHINX DOC #########################

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

sphinx-html:
	@$(SPHINXBUILD) -M html "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
# %: Makefile md
#	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== libs/Makefile ===

DISTFILES = $(wildcard *.liq) Makefile

top_srcdir = ..
include $(top_srcdir)/Makefile.rules

=== scripts/Makefile ===

SUBDIRS = tests
DISTFILES = $(wildcard *.in) Makefile ask-liquidsoap.rb ask-liquidsoap.pl \
	    bash-completion liquidsoap-mode.el extract-replaygain

top_srcdir = ..
include $(top_srcdir)/Makefile.rules

=== src/Makefile ===
SUBDIRS=tools \
	decoder playlists encoder protocols plugins stream lang \
	ogg_formats converters operators sources conversions outputs io \
	visualization analyze synth harbor lang_encoders encoder_formats

DISTFILES = $(wildcard *.mli) Makefile $(wildcard *.ml) META.in

ocaml_progs= liquidsoap

top_srcdir=..
include $(top_srcdir)/Makefile.defs

liquidsoap_c_files = tools/unix_c.c \
  $(if $(W_OSS),io/oss_io_c.c)

ogg_demuxer = \
  $(if $(W_SPEEX),ogg_formats/speex_decoder.ml) \
  $(if $(W_VORBIS),ogg_formats/vorbis_decoder.ml) \
  $(if $(W_OPUS),ogg_formats/opus_decoder.ml) \
  $(if $(W_THEORA),ogg_formats/theora_decoder.ml) \
  $(if $(W_FLAC_OGG),ogg_formats/ogg_flac_decoder.ml)

ogg_muxer = \
  $(if $(W_OGG),ogg_formats/ogg_muxer.ml encoder/ogg_encoder.ml) \
  $(if $(W_SPEEX),ogg_formats/speex_encoder.ml) \
  $(if $(W_VORBIS),ogg_formats/vorbis_encoder.ml) \
  $(if $(W_OPUS),ogg_formats/opus_encoder.ml) \
  $(if $(W_THEORA),ogg_formats/theora_encoder.ml) \
  $(if $(W_FLAC_OGG),ogg_formats/ogg_flac_encoder.ml)

audio_converters = \
	converters/audio/native_audio_converter.ml \
	$(if $(W_SAMPLERATE),converters/audio/libsamplerate_converter.ml) \
	$(if $(W_FFMPEG),converters/audio/ffmpeg_audio_converter.ml)

video_converters = \
	converters/video_converter.ml \
	converters/video/native_video_converter.ml \
	$(if $(W_GAVL),converters/video/gavl_converter.ml) \
	$(if $(W_FFMPEG),converters/video/ffmpeg_video_converter.ml)

decoders = \
	decoder/metadata_decoder.ml \
	decoder/wav_aiff_decoder.ml decoder/midi_decoder.ml \
	decoder/image_decoder.ml decoder/image/ppm_decoder.ml \
	decoder/external_decoder.ml decoder/raw_audio_decoder.ml \
	$(if $(W_FFMPEG),decoder/ffmpeg_decoder.ml) \
	$(if $(W_FLAC),decoder/flac_decoder.ml) \
	$(if $(W_FAAD),decoder/aac_decoder.ml) \
	$(if $(W_OGG),decoder/ogg_decoder.ml) \
	$(if $(W_MAD),decoder/mad_decoder.ml) \
	$(if $(W_VORBIS),decoder/vorbisduration.ml) \
	$(if $(W_FLAC),decoder/flacduration.ml) \
	$(if $(W_FLAC_OGG),decoder/ogg_flac_duration.ml) \
	$(if $(W_TAGLIB),decoder/taglib_plug.ml) \
	$(if $(W_CAMLIMAGES),decoder/image/camlimages_decoder.ml) \
	$(if $(W_SDL),decoder/image/sdlimage_decoder.ml) \
	$(if $(W_GSTREAMER),decoder/gstreamer_decoder.ml) \

playlists = \
	playlists/playlist_basic.ml \
	$(if $(W_XMLPLAYLIST),playlists/playlist_xml.ml)

protocols = \
	protocols/annotate.ml \
	protocols/mpd.ml

sources = \
	sources/synthesized.ml sources/noise.ml sources/blank.ml \
	sources/audio_gen.ml sources/request_source.ml sources/latest_metadata.ml \
	sources/req_simple.ml sources/playlist.ml \
	sources/req_queue.ml sources/req_equeue.ml \
	sources/generated.ml sources/http_source.ml \
	$(if $(W_SSL),sources/https_source.ml) \
	$(if $(W_OSX_SECURE_TRANSPORT),sources/https_secure_transport_source.ml) \
	harbor/harbor_base.ml harbor/harbor.ml sources/harbor_input.ml \
	$(if $(W_SSL),harbor/harbor_ssl.ml sources/harbor_input_ssl.ml) \
	$(if $(W_OSX_SECURE_TRANSPORT),harbor/harbor_secure_transport.ml sources/harbor_input_secure_transport.ml) \
        tools/external_input.ml sources/external_input_audio.ml sources/external_input_video.ml \
	tools/liqMM.ml tools/sandbox.ml \
	$(if $(W_BJACK),sources/bjack_in.ml) \
	$(if $(W_ALSA),sources/alsa_in.ml)

operators = \
	operators/insert_metadata.ml operators/map_metadata.ml \
	operators/on_metadata.ml operators/store_metadata.ml \
	operators/on_track.ml operators/on_end.ml operators/delay.ml \
	operators/max_duration.ml operators/sequence.ml operators/add.ml \
	operators/switch.ml operators/cross.ml \
	operators/compress_exp.ml operators/pitch.ml operators/pipe.ml \
	operators/fir_filter.ml operators/iir_filter.ml operators/filter_rc.ml \
	operators/biquad_filter.ml operators/cuepoint.ml \
	operators/map_op.ml operators/flanger.ml operators/comb.ml \
	operators/compress.ml operators/clip.ml operators/filter.ml \
	operators/amplify.ml operators/normalize.ml operators/echo.ml \
	operators/append.ml operators/pan.ml operators/ms_stereo.ml \
	operators/dyn_op.ml operators/video_effects.ml operators/video_fade.ml \
	operators/noblank.ml operators/compand.ml operators/on_offset.ml \
	operators/mixing_table.ml operators/prepend.ml \
	operators/midi_routing.ml operators/sleeper.ml \
	operators/time_warp.ml operators/resample.ml \
	operators/chord.ml operators/video_text.ml operators/window_op.ml \
	operators/video_text_native.ml \
	$(if $(W_SOUNDTOUCH),operators/soundtouch_op.ml) \
	$(if $(W_SOUNDTOUCH),operators/st_bpm.ml) \
	$(if $(W_LADSPA),operators/ladspa_op.ml) \
	$(if $(W_FREI0R),operators/frei0r_op.ml) \
	$(if $(W_GD),operators/video_text_gd.ml) \
	$(if $(W_SDL),operators/video_text_sdl.ml) \
	$(if $(W_GSTREAMER),operators/video_text_gstreamer.ml)

conversions = \
	conversions/audio_to_stereo.ml conversions/drop.ml conversions/id.ml \
	conversions/swap.ml conversions/mean.ml conversions/mux.ml

analyze = analyze/analyze_rms.ml

encoders = \
	encoder/wav_encoder.ml \
	encoder/avi_encoder.ml \
	encoder/lame_encoder.ml \
	encoder/fdkaac_encoder.ml \
	encoder/external_encoder.ml \
	$(if $(W_LAME_DYN),encoder/lame_encoder_dynlink.ml) \
	$(if $(W_FDKAAC_DYN),encoder/fdkaac_encoder_dynlink.ml) \
	$(if $(W_SHINE),encoder/shine_encoder.ml) \
	$(if $(W_LAME),encoder/lame_encoder_builtin.ml) \
	$(if $(W_FLAC),encoder/flac_encoder.ml) \
        $(if $(W_FFMPEG),encoder/ffmpeg_encoder.ml) \
	$(if $(W_FDKAAC),encoder/fdkaac_encoder_builtin.ml) \
	$(if $(W_TAGLIB),encoder/taglib_id3v2.ml) \
	$(if $(W_GSTREAMER),encoder/gstreamer_encoder.ml)

lang_encoders = \
  lang/lang_encoders.ml \
  $(wildcard lang_encoders/*.ml)

encoder_formats = \
  encoder_formats.ml \
  encoder_formats/meta_format.ml \
  encoder_formats/avi_format.ml \
  encoder_formats/external_encoder_format.ml \
  encoder_formats/fdkaac_format.ml \
  encoder_formats/flac_format.ml \
  encoder_formats/ffmpeg_format.ml \
  encoder_formats/gstreamer_format.ml \
  encoder_formats/mp3_format.ml \
  encoder_formats/opus_format.ml \
  encoder_formats/shine_format.ml \
  encoder_formats/speex_format.ml \
  encoder_formats/theora_format.ml \
  encoder_formats/vorbis_format.ml \
  encoder_formats/ogg_format.ml \
  encoder_formats/wav_format.ml

outputs = outputs/output.ml \
	outputs/pipe_output.ml outputs/hls_output.ml \
	outputs/harbor_output.ml \
	$(if $(W_SSL),outputs/harbor_output_ssl.ml) \
	$(if $(W_OSX_SECURE_TRANSPORT),outputs/harbor_output_secure_transport.ml) \
	$(if $(W_AO),outputs/ao_out.ml) \
	$(if $(W_CRY),outputs/icecast2.ml) \
	$(if $(W_GRAPHICS),outputs/graphics_out.ml) \
	$(if $(W_BJACK),outputs/bjack_out.ml) \
	$(if $(W_SDL),outputs/sdl_out.ml) \
	$(if $(W_ALSA),outputs/alsa_out.ml)

io = io/udp_io.ml \
	$(if $(W_SRT),io/srt_io.ml) \
	$(if $(W_OSS),io/oss_io.ml) \
	$(if $(W_PULSEAUDIO),io/pulseaudio_io.ml) \
	$(if $(W_PORTAUDIO),io/portaudio_io.ml) \
	$(if $(W_ALSA),io/alsa_io.ml) \
	$(if $(W_GSTREAMER),io/gstreamer_io.ml)

tools = tools/extralib.ml tools/JSON.ml tools/utils.ml \
        tools/doc.ml  tools/plug.ml \
	tools/rqueue.ml \
	$(if $(W_LAME_DYN),tools/lame_dynlink.ml) \
	$(if $(W_FDKAAC_DYN),tools/fdkaac_dynlink.ml) \
	tools/wav_aiff.ml tools/tutils.ml \
	tools/file_watcher.ml tools/file_watcher_mtime.ml \
	$(if $(W_DYNLINK),tools/dyntools.ml) \
	configure.ml tools/console.ml tools/process_handler.ml \
	$(if $(W_FFMPEG),tools/ffmpeg_config.ml) \
	tools/http.ml \
	$(if $(W_SSL),tools/https.ml) \
	$(if $(W_OSX_SECURE_TRANSPORT),tools/https_secure_transport.ml) \
	tools/pool.ml tools/sha1.ml tools/websocket.ml \
	$(if $(W_INOTIFY),tools/file_watcher_inotify.ml)

stream =stream/frame.ml stream/generator.ml \
	stream/aFrame.ml stream/vFrame.ml stream/mFrame.ml \
	$(if $(W_GSTREAMER),tools/gstreamer_utils.ml)

visualization = visualization/vumeter.ml \
	visualization/midimeter.ml \
	visualization/video_volume.ml \
	$(if $(W_GRAPHICS),visualization/vis_volume.ml)

synth = synth/keyboard.ml synth/synth_op.ml \
	$(if $(W_DSSI),synth/dssi_op.ml) \
	$(if $(W_SDL),synth/keyboard_sdl.ml)

builtins = lang/lang_builtins.ml lang/builtins_list.ml \
           lang/builtins_string.ml lang/builtins_json.ml \
           lang/builtins_request.ml lang/builtins_http.ml \
           lang/builtins_harbor.ml lang/builtins_dtools.ml \
           lang/builtins_time.ml lang/builtins_callbacks.ml \
           lang/builtins_server.ml lang/builtins_math.ml \
	   lang/builtins_files.ml lang/builtins_resolvers.ml \
           lang/builtins_process.ml \
           $(if $(W_SSL),lang/builtins_https.ml lang/builtins_harbor_ssl.ml) \
           $(if $(W_OSX_SECURE_TRANSPORT),lang/builtins_https_secure_transport.ml lang/builtins_harbor_secure_transport.ml) \
           $(if $(W_LO),lang/builtins_lo.ml) \
           $(if $(W_MAGIC),lang/builtins_magic.ml) \
           $(if $(W_CRY),lang/builtins_cry.ml) \
           $(if $(W_LASTFM),lang/builtins_lastfm.ml)

liquidsoap_sources= \
	tools/log.ml $(tools) converters/audio_converter.ml $(stream) \
	decoder/decoder.ml request.ml tools/server.ml \
        source.ml clock.ml tools/rutils.ml \
	playlist_parser.ml $(encoder_formats) encoder.ml \
	tools/server_builtins.ml \
	$(if $(W_SDL),tools/sdl_utils.ml) \
	$(if $(W_LASTFM),tools/liqfm.ml) \
	$(if $(W_ALSA), alsa_settings.ml)

liquidsoap_sources += \
	lang/lang_types.ml lang/lang_values.ml \
	$(lang_encoders) lang/lang_parser.ml lang/lang_lexer.ml \
	lang/lang_pp.ml lang/lang_errors.ml lang/lang.ml \
        tools/start_stop.ml tools/ioRing.ml \
	tools/icecast_utils.ml tools/avi.ml \
	$(video_converters) $(audio_converters) $(ogg_demuxer) $(protocols) \
	$(sources) $(conversions) $(outputs) $(operators) \
	$(encoders) $(ogg_muxer) $(io) \
	$(analyze) $(playlists) $(visualization) $(synth) $(decoders) \
	shebang.ml $(builtins) main.ml \
	$(if $(W_WINSVC),runner_service.ml,runner.ml)

include $(top_srcdir)/Makefile.rules

configure.ml:
	@echo
	@echo " ERROR Missing src/configure.ml, Please run ./configure first!"
	@if [ -f ../configure-with-options ] ; then \
	  echo "       Note that you can source configure-with-options" ; \
	  echo "       for running configure with the same options as last time." \
	; fi
	@echo
	@exit 1

OCAML_CFLAGS= -thread $(patsubst %,-I %,$(SUBDIRS))
DEP_OPTS= $(patsubst %,-I %,$(SUBDIRS))

install-local: all-auto
	$(INSTALL) -d $(bindir)
	$(INSTALL_PROGRAM) liquidsoap $(bindir)
ifneq ($(BYTE),)
  ifneq ($(NO_CUSTOM),)
	$(OCAMLFIND) install liquidsoap META dllliquidsoap.so $(wildcard plugins/dll*.so)
  else
	$(OCAMLFIND) install liquidsoap META $(wildcard plugins/dll*.so)
  endif
endif

profile:
	$(MAKE) OCAMLC="$(OCAMLC) -p"

=== src/conversions/Makefile ===
DISTFILES = $(wildcard *.ml) $(wildcard *.mli) Makefile

top_srcdir=../..
include $(top_srcdir)/Makefile.rules

=== src/converters/Makefile ===
SUBDIRS = audio video
DISTFILES = $(wildcard *.ml) $(wildcard *.mli) Makefile

top_srcdir=../..
include $(top_srcdir)/Makefile.rules

=== src/converters/audio/Makefile ===
DISTFILES = $(wildcard *.ml) $(wildcard *.mli) Makefile

top_srcdir=../../..
include $(top_srcdir)/Makefile.rules

=== debian/changelog ===
liquidsoap (1.4.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 10:25:40 +0100

liquidsoap (1.4.1-1) unstable; urgency=medium

  * Install bash completions into packaging dir (Closes: #945246)
  * New upstream version 1.4.1
  * Bump Standards-Version to 4.5.0 (No change)

 -- Kyle Robbertze <paddatrapper@debian.org>  Wed, 22 Jan 2020 14:04:09 +0200

liquidsoap (1.4.0-1) unstable; urgency=medium

  * Ignore bundled releases in watch file
  * New upstream version 1.4.0 (Closes: #939580)
  * Update dependencies
  * Refresh patches
  * Use local copy of language.dtd file
  * Add patch to work around missing upstream files
  * Update install files for new release
  * Remove rpath from binary
  * Bump Standards-Version to 4.4.1 (no change)

 -- Kyle Robbertze <paddatrapper@debian.org>  Mon, 11 Nov 2019 09:27:17 +0200

=== debian/control ===
Source: liquidsoap
Section: sound
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Kyle Robbertze <paddatrapper@debian.org>
Build-Depends: chrpath,
               debhelper (>= 11),
               debhelper-compat (=12),
               dh-elpa,
               dh-ocaml (>= 1.0.1),
               festival,
               fonts-liberation,
               pandoc,
               libalsa-ocaml-dev (>= 0.2.1) [linux-any],
               libao-ocaml-dev (>= 0.2.0),
               libbjack-ocaml-dev (>= 0.1.3),
               libcamlimages-ocaml-dev (>= 4.0.1-6),
               libcamomile-ocaml-dev (>= 1.0.0),
               libcry-ocaml-dev (>= 0.6.0),
               libdtools-ocaml-dev (>= 0.4.1),
               libduppy-ocaml-dev (>= 0.8.0),
               libfaad-ocaml-dev (>= 0.4.0),
               libffmpeg-ocaml-dev (>= 0.2.),
               libflac-ocaml-dev (>= 0.1.5),
               libfrei0r-ocaml-dev (>= 0.1.0),
               libgavl-ocaml-dev (>= 0.1.4),
               libgd-ocaml-dev | libgd-gd2-noxpm-ocaml-dev,
               libssl-ocaml-dev (>= 0.5.2),
               libgstreamer-ocaml-dev (>= 0.3.0),
               libinotify-ocaml-dev (>= 1.0) [linux-any],
               libladspa-ocaml-dev (>= 0.1.4),
               liblastfm-ocaml-dev (>= 0.3.0),
               liblo-ocaml-dev (>= 0.1.2),
               libmad-ocaml-dev (>= 0.1.4),
               libmagic-ocaml-dev (>= 0.6),
               libmenhir-ocaml-dev,
               libmm-ocaml-dev (>= 0.5.0),
               libmp3lame-ocaml-dev (>= 0.3.2),
               libogg-ocaml-dev (>= 0.5.0),
               libopus-ocaml-dev (>= 0.1.3),
               libpcre-ocaml-dev,
               libportaudio-ocaml-dev (>= 0.2.0),
               libpulse-ocaml-dev (>= 0.1.2),
               libsamplerate-ocaml-dev (>= 0.1.1),
               libsdl-ocaml-dev,
               libsedlex-ocaml-dev (>= 2.0),
               libshine-ocaml-dev (>= 0.2.0),
               libsoundtouch-ocaml-dev (>= 0.1.7),
               libspeex-ocaml-dev (>= 0.2.1),
               libtaglib-ocaml-dev (>= 0.3.0),
               libtheora-ocaml-dev (>= 0.3.1),
               libvoaacenc-ocaml-dev,
               libvorbis-ocaml-dev (>= 0.7.0),
               libxml-dom-perl,
               libxmlplaylist-ocaml-dev (>= 0.1.3),
               libyojson-ocaml-dev,
               menhir,
               ocaml-findlib,
               ocaml-nox (>= 4.08),
               sox
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/ocaml-team/liquidsoap.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/liquidsoap
Homepage: http://savonet.sourceforge.net/

Package: liquidsoap
Architecture: any
Depends: adduser,
         curl,
         libcamomile-ocaml-data (>= 1.0.0),
         ocaml-base-nox,
         sox,
         ${misc:Depends},
         ${ocaml:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: logrotate, vorbis-tools, vorbisgain
Suggests: festival, icecast2, mplayer, youtube-dl
Provides: ${ocaml:Provides}
Replaces: liquidsoap-plugin-all,
          liquidsoap-plugin-alsa [linux-any],
          liquidsoap-plugin-ao,
          liquidsoap-plugin-camlimages,
          liquidsoap-plugin-dssi,
          liquidsoap-plugin-faad,
          liquidsoap-plugin-flac,
          liquidsoap-plugin-frei0r,
          liquidsoap-plugin-gavl,
          liquidsoap-plugin-gd,
          liquidsoap-plugin-graphics,
          liquidsoap-plugin-gstreamer,
          liquidsoap-plugin-icecast,
          liquidsoap-plugin-jack,
          liquidsoap-plugin-ladspa,
          liquidsoap-plugin-lame,
          liquidsoap-plugin-lastfm,
          liquidsoap-plugin-lo,
          liquidsoap-plugin-mad,
          liquidsoap-plugin-ogg,
          liquidsoap-plugin-opus,
          liquidsoap-plugin-oss,
          liquidsoap-plugin-portaudio,
          liquidsoap-plugin-pulseaudio,
          liquidsoap-plugin-samplerate,
          liquidsoap-plugin-schroedinger,
          liquidsoap-plugin-sdl,
          liquidsoap-plugin-shine,
          liquidsoap-plugin-soundtouch,
          liquidsoap-plugin-speex,
          liquidsoap-plugin-taglib,
          liquidsoap-plugin-theora,
          liquidsoap-plugin-voaacenc,
          liquidsoap-plugin-vorbis,
          liquidsoap-plugin-xmlplaylist
Breaks: liquidsoap-plugin-all,
        liquidsoap-plugin-alsa [linux-any],
        liquidsoap-plugin-ao,
        liquidsoap-plugin-camlimages,
        liquidsoap-plugin-dssi,
        liquidsoap-plugin-faad,
        liquidsoap-plugin-flac,
        liquidsoap-plugin-frei0r,
        liquidsoap-plugin-gavl,
        liquidsoap-plugin-gd,
        liquidsoap-plugin-graphics,
        liquidsoap-plugin-gstreamer,
        liquidsoap-plugin-icecast,
        liquidsoap-plugin-jack,
        liquidsoap-plugin-ladspa,
        liquidsoap-plugin-lame,
        liquidsoap-plugin-lastfm,
        liquidsoap-plugin-lo,
        liquidsoap-plugin-mad,
        liquidsoap-plugin-ogg,
        liquidsoap-plugin-opus,
        liquidsoap-plugin-oss,
        liquidsoap-plugin-portaudio,
        liquidsoap-plugin-pulseaudio,
        liquidsoap-plugin-samplerate,
        liquidsoap-plugin-schroedinger,
        liquidsoap-plugin-sdl,
        liquidsoap-plugin-shine,
        liquidsoap-plugin-soundtouch,
        liquidsoap-plugin-speex,
        liquidsoap-plugin-taglib,
        liquidsoap-plugin-theora,
        liquidsoap-plugin-voaacenc,
        liquidsoap-plugin-vorbis,
        liquidsoap-plugin-xmlplaylist
Description: audio streaming language
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 Some of the typical uses are:
  * dynamically generating playlists depending on the time or other factors
  * having smooth transitions between songs
  * adding jingles periodically
  * applying effects on the sound like volume normalization
  * reencoding the stream at various qualities
  * remotely controlling the stream

Package: liquidsoap-mode
Architecture: all
Depends: ${misc:Depends}, ${elpa:Depends}
Recommends: emacs (>= 46.0)
Suggests: liquidsoap
Enhances: emacs, emacs24, emacs25
Section: editors
Description: Emacs mode for editing Liquidsoap code
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides an (X)Emacs mode which makes it easier to edit
 Liquidsoap source code.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/([\d.]+)\///,\
  compression=bz2 \
  https://github.com/savonet/liquidsoap/releases .download*/v?[\d.]+/liquidsoap.([\d.]+).tar.bz2

## liquidsoap 1.4.2

=== debian/changelog ===
liquidsoap (1.4.2-1) unstable; urgency=low

  * Link pervasive libraries into expected directory
    (Closes: #956564, LP: #1875414)
  * New upstream version 1.4.2

 -- Kyle Robbertze <paddatrapper@debian.org>  Fri, 22 May 2020 12:12:19 +0200

## liquidsoap 1.4.3

=== Makefile ===
--- 
+++ 
@@ -83,7 +83,7 @@
 	$(INSTALL_DATA) examples/radio.liq ${sysconfdir}/liquidsoap/radio.liq.example
 	$(INSTALL_DIRECTORY) ${sysconfdir}/logrotate.d
 	$(INSTALL_DATA) scripts/liquidsoap.logrotate ${sysconfdir}/logrotate.d/liquidsoap
-	$(INSTALL_DIRECTORY) ${bashcompdir}
-	$(INSTALL_DATA) scripts/bash-completion ${bashcompdir}/liquidsoap
+	-$(INSTALL_DIRECTORY) ${bashcompdir}
+	-$(INSTALL_DATA) scripts/bash-completion ${bashcompdir}/liquidsoap
 	$(INSTALL_DIRECTORY) ${emacsdir}
 	$(INSTALL_DATA) scripts/liquidsoap-mode.el ${emacsdir}/

=== src/Makefile ===
--- 
+++ 
@@ -233,10 +233,11 @@
 	lang/lang_pp.ml lang/lang_errors.ml lang/lang.ml \
         tools/start_stop.ml tools/ioRing.ml \
 	tools/icecast_utils.ml tools/avi.ml \
-	$(video_converters) $(audio_converters) $(ogg_demuxer) $(protocols) \
+	$(video_converters) $(audio_converters) $(protocols) \
 	$(sources) $(conversions) $(outputs) $(operators) \
-	$(encoders) $(ogg_muxer) $(io) \
-	$(analyze) $(playlists) $(visualization) $(synth) $(decoders) \
+	$(encoders) $(decoders) $(ogg_demuxer) $(ogg_muxer) \
+	$(analyze) $(playlists) \
+	$(visualization) $(synth) $(io) \
 	shebang.ml $(builtins) main.ml \
 	$(if $(W_WINSVC),runner_service.ml,runner.ml)

=== doc/content/Makefile ===
DISTFILES = $(wildcard *.md) $(wildcard *.md.in) Makefile 

top_srcdir = ../..
include $(top_srcdir)/Makefile.rules

=== scripts/tests/Makefile ===
DISTFILES = Makefile $(wildcard *.liq) $(wildcard *.pl)
LIQ = $(sort $(filter-out test.liq, $(wildcard *.liq)))
TESTS = $(basename $(LIQ))

top_srcdir = ../..

test: threesines $(TESTS)
	@./run_test.sh /usr/bin/perl ./type_errors.pl

%: %.liq
	@./run_test.sh "$(top_srcdir)/src/liquidsoap --no-pervasives -q ../../libs/pervasives.liq -" $<

# Generate samples files in threesines directory

threesines: threesines/a.wav threesines/b.wav threesines/c.wav
MKSINE= ../../src/liquidsoap  --no-pervasives -q ../../libs/utils.liq \
	  "clock.assign_new(sync=false,[ \
	  output.file(%wav,\"$$fname\",fallible=true,on_stop=shutdown, \
	  once(sine(duration=2.,$$freq)))])"
threesines/a.wav: ../../src/liquidsoap Makefile
	mkdir -p threesines
	fname=$@ ; freq=220. ; $(MKSINE)
threesines/b.wav: ../../src/liquidsoap Makefile
	mkdir -p threesines
	fname=$@ ; freq=330. ; $(MKSINE)
threesines/c.wav: ../../src/liquidsoap Makefile
	mkdir -p threesines
	fname=$@ ; freq=440. ; $(MKSINE)

include $(top_srcdir)/Makefile.rules

=== src/decoder/Makefile ===
SUBDIRS = image
DISTFILES = $(wildcard *.ml) $(wildcard *.mli) $(wildcard *.c) Makefile

top_srcdir= ../..
include $(top_srcdir)/Makefile.rules

=== src/lang/Makefile ===

lang_types.cmo: lang_types.ml
	ocamlc -c lang_types.ml

DISTFILES = Makefile lang_parser.mly \
			$(wildcard *.ml) $(wildcard *.mli)
top_srcdir=../..
include $(top_srcdir)/Makefile.rules

menhir:
	@rm -f lang_parser.conflicts
	menhir --explain lang_parser.mly
	@cat lang_parser.conflicts

.PHONY: menhir

=== src/outputs/Makefile ===

DISTFILES = $(wildcard *.ml) $(wildcard *.mli) Makefile

top_srcdir= ../..
include $(top_srcdir)/Makefile.rules

=== src/plugins/Makefile ===

DISTFILES= $(wildcard *.ml.example) Makefile

OCAML_CFLAGS= -thread -I .. -I ../tools -I ../outputs -I ../formats \
			  -I ../sources -I ../operators
OCAML_LFLAGS= dynlink.cma
dep_opts= -I ../sources -I ../operators -I ../tools -I ../formats -I ../outputs

top_srcdir=../..
include $(top_srcdir)/Makefile.rules

ML=$(wildcard *.ml)
plugins: $(ML:.ml=.cmo)

=== src/sources/Makefile ===

DISTFILES = $(wildcard *.ml) $(wildcard *.mli) Makefile

top_srcdir=../..
include $(top_srcdir)/Makefile.rules

=== src/tools/Makefile ===
DISTFILES = $(wildcard *.ml) $(wildcard *.mli) $(wildcard *.c) $(wildcard *.in) Makefile

ocaml_tests = mixer_test wav_test tutils_test
OCAML_CFLAGS= -thread -package dtools

mixer_test_sources = mixer_c.c mixer.ml mixer_test.ml
wav_test_sources = mixer_c.c mixer.ml wav.ml wav_test.ml
tutils_test_sources = tutils.ml tutils_test.ml

top_srcdir=../..
include $(top_srcdir)/Makefile.rules

=== debian/changelog ===
liquidsoap (1.4.3-3) unstable; urgency=medium

  * Fix pervasive libraries symlink (Closes: 991332)

 -- Kyle Robbertze <paddatrapper@debian.org>  Wed, 21 Jul 2021 16:18:07 +0200

liquidsoap (1.4.3-2) unstable; urgency=medium

  * Set BYTE install correctly (Closes: #972272)
  * Fix FTBFS type error (Closes: #976355)
  * Bump standards-version to 4.5.1 (no change)

 -- Kyle Robbertze <paddatrapper@debian.org>  Tue, 22 Dec 2020 09:17:12 +0200

liquidsoap (1.4.3-1) unstable; urgency=medium

  * Update watch file
  * New upstream version 1.4.3
  * Fix compilation with ocaml-alsa 0.3.0
  * Bump dh-compat to 13

 -- Kyle Robbertze <paddatrapper@debian.org>  Mon, 05 Oct 2020 17:46:58 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Kyle Robbertze <paddatrapper@debian.org>
 Build-Depends: chrpath,
                debhelper (>= 11),
-               debhelper-compat (=12),
+               debhelper-compat (=13),
                dh-elpa,
                dh-ocaml (>= 1.0.1),
                festival,
@@ -58,7 +58,7 @@
                ocaml-findlib,
                ocaml-nox (>= 4.08),
                sox
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/ocaml-team/liquidsoap.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/liquidsoap
 Homepage: http://savonet.sourceforge.net/

=== debian/watch ===
version=4
opts=compression=bz2 \
  https://github.com/savonet/liquidsoap/releases .download*/v?[\d.]+/liquidsoap.([\d.]+).tar.bz2

## liquidsoap 1.4.4

=== Makefile ===
--- 
+++ 
@@ -28,8 +28,8 @@
 ifneq ($(CUSTOM_PATH),yes)
 	@echo let rundir = \"$(localstatedir)/run/liquidsoap\" >> src/configure.ml
 	@echo let logdir = \"$(localstatedir)/log/liquidsoap\" >> src/configure.ml
-	@echo let libs_dir = \"$(datadir)/liquidsoap/$(libs_dir_version)/libs\" >> src/configure.ml
-	@echo let bin_dir = \"$(datadir)/liquidsoap/$(libs_dir_version)/bin\" >> src/configure.ml
+	@echo let libs_dir = \"$(liq_libs_dir)/libs\" >> src/configure.ml
+	@echo let bin_dir = \"$(liq_libs_dir)/bin\" >> src/configure.ml
 	@echo let \(\) = add_subst \"\<sysrundir\>\" \"$(localstatedir)/run/liquidsoap\" >> src/configure.ml
 	@echo let \(\) = add_subst \"\<syslogdir\>\" \"$(localstatedir)/log/liquidsoap\" >> src/configure.ml
 else
@@ -73,11 +73,11 @@
 	$(INSTALL_DIRECTORY) -o ${user} -g ${group} -m 2775 ${localstatedir}/run/liquidsoap
 endif
 	$(INSTALL_DIRECTORY) $(bindir)
-	$(INSTALL_DIRECTORY) $(datadir)/liquidsoap/$(libs_dir_version)/bin
-	$(INSTALL_DIRECTORY) $(datadir)/liquidsoap/$(libs_dir_version)/libs
-	$(INSTALL_PROGRAM) scripts/extract-replaygain $(datadir)/liquidsoap/$(libs_dir_version)/bin
+	$(INSTALL_DIRECTORY) $(liq_libs_dir)/bin
+	$(INSTALL_DIRECTORY) $(liq_libs_dir)/libs
+	$(INSTALL_PROGRAM) scripts/extract-replaygain $(liq_libs_dir)/bin
 	find libs | grep '\.liq$$' | while read l; do \
-	  $(INSTALL_DATA) $$l $(datadir)/liquidsoap/$(libs_dir_version)/libs ; \
+	  $(INSTALL_DATA) $$l $(liq_libs_dir)/libs ; \
 	done
 	$(INSTALL_DIRECTORY) ${sysconfdir}/liquidsoap
 	$(INSTALL_DATA) examples/radio.liq ${sysconfdir}/liquidsoap/radio.liq.example

=== src/Makefile ===
--- 
+++ 
@@ -258,7 +258,7 @@
 
 install-local: all-auto
 	$(INSTALL) -d $(bindir)
-	$(INSTALL_PROGRAM) liquidsoap $(bindir)
+	$(INSTALL_PROGRAM) liquidsoap$(EXEEXT) $(bindir)
 ifneq ($(BYTE),)
   ifneq ($(NO_CUSTOM),)
 	$(OCAMLFIND) install liquidsoap META dllliquidsoap.so $(wildcard plugins/dll*.so)

=== debian/changelog ===
liquidsoap (1.4.4-1) unstable; urgency=low

  * Update watchfile
  * New upstream version 1.4.4
  * Update pervasive library links
  * Upstream moved homepage location
  * Drop Breaks/Replaces for Bookworm

 -- Kyle Robbertze <paddatrapper@debian.org>  Sun, 15 Aug 2021 08:18:42 +0200

=== debian/control ===
--- 
+++ 
@@ -61,7 +61,7 @@
 Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/ocaml-team/liquidsoap.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/liquidsoap
-Homepage: http://savonet.sourceforge.net/
+Homepage: https://www.liquidsoap.info/
 
 Package: liquidsoap
 Architecture: any
@@ -77,76 +77,6 @@
 Recommends: logrotate, vorbis-tools, vorbisgain
 Suggests: festival, icecast2, mplayer, youtube-dl
 Provides: ${ocaml:Provides}
-Replaces: liquidsoap-plugin-all,
-          liquidsoap-plugin-alsa [linux-any],
-          liquidsoap-plugin-ao,
-          liquidsoap-plugin-camlimages,
-          liquidsoap-plugin-dssi,
-          liquidsoap-plugin-faad,
-          liquidsoap-plugin-flac,
-          liquidsoap-plugin-frei0r,
-          liquidsoap-plugin-gavl,
-          liquidsoap-plugin-gd,
-          liquidsoap-plugin-graphics,
-          liquidsoap-plugin-gstreamer,
-          liquidsoap-plugin-icecast,
-          liquidsoap-plugin-jack,
-          liquidsoap-plugin-ladspa,
-          liquidsoap-plugin-lame,
-          liquidsoap-plugin-lastfm,
-          liquidsoap-plugin-lo,
-          liquidsoap-plugin-mad,
-          liquidsoap-plugin-ogg,
-          liquidsoap-plugin-opus,
-          liquidsoap-plugin-oss,
-          liquidsoap-plugin-portaudio,
-          liquidsoap-plugin-pulseaudio,
-          liquidsoap-plugin-samplerate,
-          liquidsoap-plugin-schroedinger,
-          liquidsoap-plugin-sdl,
-          liquidsoap-plugin-shine,
-          liquidsoap-plugin-soundtouch,
-          liquidsoap-plugin-speex,
-          liquidsoap-plugin-taglib,
-          liquidsoap-plugin-theora,
-          liquidsoap-plugin-voaacenc,
-          liquidsoap-plugin-vorbis,
-          liquidsoap-plugin-xmlplaylist
-Breaks: liquidsoap-plugin-all,
-        liquidsoap-plugin-alsa [linux-any],
-        liquidsoap-plugin-ao,
-        liquidsoap-plugin-camlimages,
-        liquidsoap-plugin-dssi,
-        liquidsoap-plugin-faad,
-        liquidsoap-plugin-flac,
-        liquidsoap-plugin-frei0r,
-        liquidsoap-plugin-gavl,
-        liquidsoap-plugin-gd,
-        liquidsoap-plugin-graphics,
-        liquidsoap-plugin-gstreamer,
-        liquidsoap-plugin-icecast,
-        liquidsoap-plugin-jack,
-        liquidsoap-plugin-ladspa,
-        liquidsoap-plugin-lame,
-        liquidsoap-plugin-lastfm,
-        liquidsoap-plugin-lo,
-        liquidsoap-plugin-mad,
-        liquidsoap-plugin-ogg,
-        liquidsoap-plugin-opus,
-        liquidsoap-plugin-oss,
-        liquidsoap-plugin-portaudio,
-        liquidsoap-plugin-pulseaudio,
-        liquidsoap-plugin-samplerate,
-        liquidsoap-plugin-schroedinger,
-        liquidsoap-plugin-sdl,
-        liquidsoap-plugin-shine,
-        liquidsoap-plugin-soundtouch,
-        liquidsoap-plugin-speex,
-        liquidsoap-plugin-taglib,
-        liquidsoap-plugin-theora,
-        liquidsoap-plugin-voaacenc,
-        liquidsoap-plugin-vorbis,
-        liquidsoap-plugin-xmlplaylist
 Description: audio streaming language
  Liquidsoap is a powerful tool for building complex audio streaming systems,
  typically targeting internet radios (e.g. icecast streams).
